Subject: Re: Problem with mini-PCI-E slot on P2020RDB

From: Felix Radensky <[email-masked]>
Date: Thu, 17 Dec 2009 10:56:26 +0200

Mahajan Vivek-B08308 wrote:
>> From: 
>> linuxppc-dev-bounces+vivek.mahajan=[email-masked].
>> org 
>> [mailto:linuxppc-dev-bounces+vivek.mahajan=freescale.com@lists
>> .ozlabs.org] On Behalf Of Felix Radensky
>> Sent: Thursday, December 17, 2009 12:52 PM
>>     
>>> I just noticed a MSI enable bit in 
>>> drivers/net/wireless/ath/ath9k/reg.h
>>> as under, may be we need to trun this on:-
>>>
>>> reg.h:1013:#define AR_PCIE_MSI                              0x4094
>>> reg.h:1014:#define AR_PCIE_MSI_ENABLE                       
>>>       
>> 0x00000001
>>     
>>>   
>>>       
>> According to ath9k developers adding MSI support to the 
>> driver is not trivial.
>> They've tried once, it didn't work and they gave up. Any 
>> chance I can use mini-PCI-E slot without MSI ?
>>     
>
> So, even after enabling the above bit, there were no MSI 
> interrupts from this card. If we look at some of the GbE 
> or SATA drivers, adding MSI is not that hard. ath9k can 
> be an exception. 
>   
Yes, I've enabled that bit, but didn't get any interrupt.
> I reported this issue to the p2020 board designer; but 
> unfortunately he is out until 1/4/10. It could be a missing 
> pull-up issue at IRQ0 or some thing else, I don't know. 
>
>   

Thanks a lot. If I understand you correctly, the only way I can
get ath9k driver to work on this board using legacy interrupts is
to wait for a hardware fix. Right ?

Felix.